language: c
compiler:
- clang
- gcc
sudo: false
script:
- cmake -D CMAKE_BUILD_TYPE:String="Check" .
- make
- make test
- which openssl
- openssl version
- apt-cache policy openssl
env:
  global:
    secure: "barHldniAfXyoWOD/vcO+E6/Xm4fmcaUoC9BeKW+LwsHqlDMLvugaJnmLXkSpkbYhVL61Hzf3bo0KPJn88AFc5Rkf8oYHPjH4adMnVXkf3B9ghHCgznqHsAH3choo6tnPxaFgOwOYmLGb382nQxfE5lUdvnM/W/psQjWt66A1+k="

addons:
  coverity_scan:
    project:
      name: "ARMmbed/mbedtls"
    notification_email: p.j.bakker@polarssl.org
    build_command_prepend:
    build_command: make
    branch_pattern: coverity_scan
